For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
            • GETList Payment Methods
            • GETList Company Payment Methods
            • PUTUpdate Company Payment Methods
            • GETList Active Payment Methods
            • GETGet Company Credit Status
            • PUTUpdate Company Credit Status
            • GETGet Company-Level Payment Terms
            • PUTUpdate Company-Level Payment Terms
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementPayment

List Company Payment Methods

GET
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId/payments
GET
/api/v3/io/companies/:companyId/payments
$curl https://api-b2b.bigcommerce.com/api/v3/io/companies/1/payments \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "code": 200,
3 "data": [
4 {
5 "paymentId": 102,
6 "code": "stripe",
7 "paymentTitle": "Stripe Credit Card",
8 "isEnabled": true
9 },
10 {
11 "paymentId": 205,
12 "code": "paypal_express",
13 "paymentTitle": "PayPal Express Checkout",
14 "isEnabled": false
15 },
16 {
17 "paymentId": 310,
18 "code": "square",
19 "paymentTitle": "Square Payments",
20 "isEnabled": true
21 }
22 ],
23 "meta": {
24 "message": "Success"
25 }
26}

Returns the list of payment methods for the Company associated with companyId, indicating which ones are currently available to the Company users.

Was this page helpful?
Previous

List Payment Methods

Next

Update Company Payment Methods

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
The unique numeric ID of the Company assigned by B2B Edition.

Response

SUCCESS
codeintegerDefaults to 200
Operation status code.
datalist of objects
metaobject